Bash Script error?


Login or Register for Dates, Times and to Reply

 
Thread Tools Search this Thread
# 1  
Bash Script error?

I'm currently playing with the below script;

Code:
#!/bin/sh
for d in  /export/home/siward/staff/pasit/jamiecr/scripts/first-file.sh \
             /export/home/siward/staff/pasit/jamiecr/scripts/second-file.sh \
             /export/home/siward/staff/pasit/jamiecr/scripts/third-file.sh \
             /export/home/siward/staff/pasit/jamiecr/scripts/fourth-file.sh
do
     $d
     RC=$?
     if test "$RC" != "0"
     then
          echo "Do you wish to continue? [y]/n"
     read N
     case "$N" in
        Y* | y* )
              ;;
        * )
              exit $RC
              ;;
      esac
fi
done

Once it has processed /export/home/siward/staff/pasit/jamiecr/scripts/first-file.sh the below error appears;

Code:
-bash-3.00$ ./DB_gen.sh
./DB_gen.sh: /export/home/siward/staff/pasit/jamiecr/scripts/second-file.sh: cannot execute
Do you wish to continue? [y]/n

All the scripts look like this;

Code:
#!/bin/sh
cat <<EOD_CAT > second_gen_file
Actim Test Script
Second Generated File
EOD_CAT

Obviously changing for First, Third and Fourth.

Can anyone advise?

Cheers
Jamie

Last edited by JayC89; 10-04-2007 at 12:42 PM..
JayC89
# 2  
Do you have the execute permission to run '/export/home/siward/staff/pasit/jamiecr/scripts/second-file.sh' ?
# 3  
You haven't execute permission on the file.
Two solutions :
1) Modify permissions of the file :
chmod +rx /export/home/siward/staff/pasit/jamiecr/scripts/second-file.sh

2) Modify script :
Code:
do
     /bin/sh $d
     RC=$?

Jean-Pierre.
# 4  
No, however I have just amended the current chmod variables and it's working fine now!

Cheers
Jamie
JayC89
# 5  
Quote:
Originally Posted by aigles
You haven't execute permission on the file.
Two solutions :
1) Modify permissions of the file :
chmod +rx /export/home/siward/staff/pasit/jamiecr/scripts/second-file.sh

2) Modify script :
Code:
do
     /bin/sh $d
     RC=$?

Jean-Pierre.
Forgive me if this sounds daft, as I have said I'm still a newbie!

What does modifying the script the below do?

Code:
do
     /bin/sh $d
     RC=$?

Also some of the scripts which are being run within this script are require a date stamp. Manually these would be run as;

Code:
./first-file.sh 04/10/2007

However when running the script I would need to replicate this. How could I make the script ask for user input for the date? So the script automatically adds the date (which the user inputs) onto the end of the above line

Cheers
Jamie

Last edited by JayC89; 10-04-2007 at 01:37 PM..
JayC89
# 6  
Code:
#!/bin/sh
#
# User Input Date
#
if [ $1  ]
then
 
    echo using date provided $1
    ENDDATE="$1"
 
else
 
    d=`date +%d`
    m=`date +%m`
    y=`date +%Y`
 
    echo no date provided, defaulting to today $d/$m/$y
    ENDDATE="$d/$m/$y"
 
fi
#
# Begin Scripts
#
for d in  /export/home/siward/staff/pasit/jamiecr/scripts/first-file.sh \
             /export/home/siward/staff/pasit/jamiecr/scripts/second-file.sh \
             /export/home/siward/staff/pasit/jamiecr/scripts/third-file.sh \
             /export/home/siward/staff/pasit/jamiecr/scripts/fourth-file.sh
#
# Error Fail Safe
#
do
     /bin/sh $d
     RC=$?
     if test "$RC" != "0"
     then
          echo "Do you wish to continue? [y]/n"
     read N
     case "$N" in
        Y* | y* )
              ;;
        * )
              exit $RC
              ;;
      esac
fi
done

How does this look? How can I tell the script to run the date at the end of specific sub-scripts?
JayC89
# 7  
Code:
ENDDATE=`date +%d/%m/%Y`

Login or Register for Dates, Times and to Reply

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #591
Difficulty: Medium
Selection Sort and Insertion Sort are simple but very efficient search algorithms.
True or False?

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

How to block first bash script until second bash script script launches web server/site?

I'm new to utilities like socat and netcat and I'm not clear if they will do what I need. I have a "compileDeployStartWebServer.sh" script and a "StartBrowser.sh" script that are started by emacs/elisp at the same time in two different processes. I'm using Cygwin bash on Windows 10. My... (3 Replies)
Discussion started by: siegfried
3 Replies

2. Shell Programming and Scripting

Error while sudo to instance via bash script

Team , I am trying to sudo to instnace using a shell script .In out put i am getting this error for every line ...I am running this script as root .. sudo su - userid -i db2 "command " Error /etc/profile: shopt: not found how can we overcome this error ? Can someone help on... (1 Reply)
Discussion started by: rocking77
1 Replies

3. Shell Programming and Scripting

How to ignore error in command in bash script?

Hello, i have bash script where im cycling some command for different lines in external file. example: while read domain;do nslookupout=$(nslookup -type=ns $domain) || true another commands done < filenamewithdomains i added: || true after the command in belief it will just skip... (6 Replies)
Discussion started by: postcd
6 Replies

4. Shell Programming and Scripting

Getting error on for loop - bash script

Hi, I am working on bash script after a long time. I am getting error near done statement while running a for loop snippet. The error says "Syntax error near unexpcted token 'done'" please suggest what could be wrong. here is the snippet elements=${#option_arr} //an array of values... (1 Reply)
Discussion started by: arundhati_s
1 Replies

5. Shell Programming and Scripting

Bash script error problem

Im in a intro to unix class and we have to create a a basic program to look up an argument in a large file. when no argument is given he wants us to produce a error messgae, well this works but it also produces another error message because my variable now equals nothing. #! /bin/bash ... (3 Replies)
Discussion started by: laxkrzy
3 Replies

6. Shell Programming and Scripting

FTP script error in BASH

Hi All, I have a script which is supposed to connect to Windows machine and FTP a file into LINUX. Script is like below #!/usr/bin/sh ParamterFle=${1} //grepping all parameters BossFtpLog=${2} // assigning log file ftp -i -n host_name << EOF user1 password1 cd /drive1/drive2 get... (6 Replies)
Discussion started by: Raamc
6 Replies

7. Shell Programming and Scripting

Strange error in bash script

Howdy all, I have a scritp that does a sqldump. But for some goofy reason, a certain part of it behaves uber strange. It does a daily dump of my sql, according to parameters I enter in hardcode. The script is: #!/bin/bash APP_NAME="app_com_site" wikiname="wiki_com_site" ... (8 Replies)
Discussion started by: saariko
8 Replies

8. Shell Programming and Scripting

BASH Script syntax error

I'm trying to write a simple script that takes all the .tar.gz files in a directory and verifies them by using the gzip -tv command: for zip in *.tar.gz do gzip -tv $zip if ; then #Check return code from tar echo "File ${zip} verified OK." exit... (4 Replies)
Discussion started by: kelldan
4 Replies

9. Shell Programming and Scripting

Help in error seen in the Bash script

Hi, I am currently encounter an error of:- ./max.bash: line 45: then max=0 else max=$maximum It seems that it does not allow max to assigned with floating numbers. Please help. Thanks. (2 Replies)
Discussion started by: ahjiefreak
2 Replies

10. Shell Programming and Scripting

error in bash script 'if' loop

SEND_MESSAGE=test echo $SEND_MESSAGE if then echo `date` > update_dt_ccaps.lst echo "The file transfer failed" >> update_dt_ccaps.lst SEND_MESSAGE=false fi The above code is showing error in bash shell as : ./test: line 5: [: test: integer expression expected ... (2 Replies)
Discussion started by: DILEEP410
2 Replies

Featured Tech Videos